Summary: Batch packager
Name: batchmail
Version: ache94
Release: 2
Group: Daemons
# Source: ftp.kiae.su:/relcom/unix/Batchmail.tar.gz
Source: ftp.ru:/pub/relcom/relcom_soft/batchmail.tgz
Source1: batchmail-extra.tgz
Patch0: batchmail.patch
Vendor: Alexei Nogin
Copyright: unknown
Buildroot: /tmp/RPM


%description
This package is needed to send e-mail over UUCP in batch, 
batch compressed and batch gzipped formats.

%prep 
%setup -n batchmail -b 1
%patch -p1

%build
make 

%install
mkdir -p ${RPM_BUILD_ROOT}/usr/lib/uucp
mkdir -p ${RPM_BUILD_ROOT}/usr/bin
mkdir -p ${RPM_BUILD_ROOT}/var/spool/batchmail
mkdir -p ${RPM_BUILD_ROOT}/usr/lib/sendmail-cf/mailer
mkdir -p ${RPM_BUILD_ROOT}/etc/logrotate.d
export BUILD_ROOT=${RPM_BUILD_ROOT}
make install
install -o root -g root -m 444 batchmail.m4 ${RPM_BUILD_ROOT}/usr/lib/sendmail-cf/mailer
install -o root -g root -m 444 logrotate ${RPM_BUILD_ROOT}/etc/logrotate.d/batchmail

%clean
rm -rf batchmail

%files
%doc Read_me.rus
%dir /var/spool/batchmail
/usr/lib/uucp/batchmail
/usr/bin/rcbmail
/usr/bin/rbmail
/usr/lib/uucp/uux_copy
/usr/lib/uucp/uuxbcopy
%config /etc/logrotate.d/batchmail
%config /usr/lib/sendmail-cf/mailer/batchmail.m4
